<?php 
//faq display function
function dd_button_faq_setup(){
	
	global $dd_faq_code;
  	// display admin screen
  	dd_print_faq_form();
}

function dd_print_faq_form(){
?>

<div id="dd_admin_block">

	<div id="dd_head_block">
		<span id="dd_plugin_title">Digg Digg - FAQ</span>
	</div>

<!-- start of dd_admin_left_block -->
<div id="dd_admin_left_block" class="dd-block-faq">
	
	<div class="dd-block">
		<div class="dd-title"><h2>Common Errors</h2></div>
		<div class="dd-insider">
		<ol>
			<li>
				<p><strong>Q : Warning: file_get_contents(http://feeds.delicious.com/v2/json/urlinfo/data?url=xxx) [function.file-get-contents]: 
				failed to open stream: HTTP request failed...</strong></p>
				<p>A : Your PHP version is too old (PHP < 4.3), it's required PHP 5 to support it, or your hosting provider is retricted you to perform this action. Two solutions :
					<ol>
						<li>Contact your hosting provider for assistant.</li>
						<li>The <a href="http://php.net/manual/en/function.file-get-contents.php" target="_blank">file_get_contents</a> function is  
				used to get the bookmark count for Delicious button only, just disable Delicious button in both "Normal display" or "Floating display" mode.</li>
					</ol> 
				</p>
			</li>
			<li>
				<p><strong>Q : During plugin activation, it hits Parse error: syntax error, unexpected T_CONST, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR...</strong></p>
				<p>A : Your PHP version is too old, Digg Digg is required PHP 5, contact your hosting service provider to upgrade your PHP version.</p>
			</li>
			</ol>
		</div>	
	</div>
	
	
	<div class="dd-block">
		<div class="dd-title"><h2>Common Questions</h2></div>
		<div class="dd-insider">
		<ol>
		
			<li>
				<p><strong>Q : How to make Facebook like support mutiple languages?</strong></p>
				<p>A : Access "Global Configuration --> Facebook Like Language Configuration", put your prefer language in the textbox. 
				For example, if you want button display in French, put "fr_FR", Chinese, put "zh_CN". 
				Also, check all FaceBook supported language in this <a href="http://www.facebook.com/translations/FacebookLocales.xml" target="_blank">XML</a> file</p>
			</li>
			
			<li>
				<p><strong>Q : How to exclude buttons in individual pages or posts?</strong></p>
				<p>A : Append the <code>&lt;!-- Digg Digg Disabled --&gt;</code> text in the page or post you want to exclude.</p>
			</li>
			<li>
				<p><strong>Q : Is there a way to rearrange the order the icons appear in?</strong></p>
				<p>A : The order of the button is depend on it's weight value, where heavy weight will display in higher priority.</p>
			</li>
			<li>
				<p><strong>Q : Is there a way to customize the existing shared icons or images?</strong></p>
				<p>A : All images or icons are generated by the social site themselves, Digg Digg has no control of it. 
				Digg Digg is just doing the integration work only, which group all the social site services together and display it.</p>
			</li>
			<li>
				<p><strong>Q : The buttons are slow to load, it impacts my website performance</strong></P>
				<p>A : Digg Digg is doing the integration work only, has no control of the social service buttons performance. Two advices :
				<ol>
					<li>Choose buttons that're suit in your website's category only. More buttons mean more time to load.</li>
					<li>Enable the lazy load function in certain button to increase your website performance.</li>
				</ol>
				</p>
			</li>
			<li>
				<p><strong>Q : Why Facebook icon has no shared count available?</strong></p>
				<p>A : According to Facebook...
				<blockquote>
				    Note: While the data for the number of times users share a URL is in real time, 
				    the data for the count of Likes is delayed by 10 minutes or so while the data for the count of clicks is delayed by 20 minutes. 
				    Also, <strong>the count doesn't display on your page until users share the page three times</strong>. 
    			</blockquote>
				</p>
			</li>
			<li>
				<p><strong>Q : Can i display the buttons other than the four pre-defined display options (before/after content ,and letf/right float)?</strong></p>
				<p>A : Yes, you can use "<strong>manual code</strong>" to generate a particular button, and place it anywhere. 
				You can access all the available "manual code" in your "<strong>admin page --> digg-digg --> manual placement</strong>" page </p>
			</li>
			
			<li>
				<p><strong>Q : What is Lazy Loading?</strong></p>
				<p>A : Load the button after the page content is fully loaded, best for performance.</p>
			</li>
			
			</ol>
		</div>	
	</div>
	
	<div class="dd-block">
		<div class="dd-title"><h2>Normal Display Questions</h2></div>
		<div class="dd-insider">
		<ol>
			<li>None</li>
		</ol>
		</div>	
	</div>
	
	<div class="dd-block">
		<div class="dd-title"><h2>Floating Display Questions</h2></div>
		<div class="dd-insider">
		<ol>
			<li>
			<p><strong>Q : What is "floating display"?</strong></p>
			<p>A : Make the buttons show at the left or right side of the page, while user scrolling down the browser, the buttons will scroll down automatically.
			Inspired by Mashable.com scrolling effect.</p>
			</li>
			<li>
				<p><strong>Q : When I wanted to modify the initial Ajax Floating Configuration the two text boxes where I should see the default code were simply empty? I.e. there was nothing to modify...</strong></p>
				<p>A : Not really sure the root cause of it, but you can click on the "reset" button to get all the default value.</p>
			</li>
			
			<li>
				<p><strong>Q : How to hide buttons if screen width is smaller?</strong></p>
				<p>A : By default, floating buttons are hide if browser's width is smaller than 1280px, however you are allow to configure this value in "Floating Display --> Display Configuration".</p>
			</li>
			
			<li>
				<p><strong>Q : How do I change the starting position of the floating display?</strong></p>
				<p>A : In "Floating Display" --> "Ajax Floating Configuration" --> "Initial Position", change default "<code>margin-left:-120</code>" to other values.</p>
			</li>
			
			<li>
				<p><strong>Q : How do I change the returning position once i scroll back up?</strong></p>
				<p>A : In "Floating Display" --> "Ajax Floating Configuration" --> "Scrolling Position", change default "<code>top: descripY</code>" to other values, e.g <code>top: 100px</code></p>
			</li>
			
			<li>
			<p><strong>Q : Why i need a ShareThis publisher ID for email feature?</strong></p>
			<p>A : Because the email feature is provided by ShareThis.com</p>
			</li>
			
			<li>
			<p><strong>Q : How to get a ShareThis publisher ID?</strong></p>
			<p>A : Register at <a href="http://sharethis.com/" target="_blank">ShareThis.com</a>, log into your account, click "My Account" (top right menu), and it will display your unique publisher key, e.g, c55555ad-fb66-666c-b1f6-9999977777ce </p>
			</li>
			
			<li>
			<p><strong>Q : I tried everything, but the floating buttons are still not able to display?</strong></p>
			<p>A : Please <a href="http://www.diggdigg2u.com/support/" target="_blank">report bug here</a> with your not working URL, expected result and the steps to simulate the problem.</p>
			</li>
		
		</ol>
		</div>	
	</div>
	
	<div class="dd-block">
		<div class="dd-title"><h2>ToolBar Display Questions</h2></div>
		<div class="dd-insider">
		<ol>
			<li>None</li>
		</ol>
		</div>	
	</div>
	
	<!-- start of dd-footer.php -->
	<?php include("dd-footer.php"); ?>
	<!-- end of dd-footer.php -->
	
	
</div>
<!-- end of dd_admin_left_block -->

<!-- start of dd-sidebar.php -->
<?php include("dd-sidebar.php"); ?>
<!-- end of dd-sidebar.php -->

</div>
<?php 
}
?>